<?php
namespace Hilco\Models;

/**
 * Created by PhpStorm.
 * User: jmartinez
 * Date: 5/18/2017
 * Time: 3:18 PM
 * @deprecated defunct promo action, has never been implemented or used
 */
class PromotionCarrierAccountAction extends PromotionActionDetails {
    protected $table = 'PromotionCarrierAccountActions';
    protected $fillable = ['customer_id', 'commit_sequence'];

    public function takeAction(Customer $soldToCustomer, $webCartItems, &$status) {
        // TODO: Implement takeAction() method.
    }

    public function customer() {
        return $this->belongsTo(Customer::class, 'customer_id', 'id');
    }

    public function promotion() {
        return $this->morphToMany(Promotion::class, 'action',
                                'PromotionActions', 'promotion_id',
                        'promotioncarrieraccountaction_id');
    }
}
